# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define major   0
%define libname libfastlz%{major}
%define devname libfastlz-devel

Summary:        Lightning-fast lossless compression library
Name:           fastlz
Version:        0.1.0
Release:        alt1_0.0.svn12.6
License:        MIT
Group:          System/Libraries
# https://github.com/ariya/FastLZ
# svn checkout http://fastlz.googlecode.com/svn/trunk/ fastlz
URL:            http://fastlz.org/
Source0:        fastlz.tar.gz
# autopoo by oden (configure.ac, Makefile.am)
Source1:        configure.ac
Source2:        Makefile.am
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  m4
BuildRequires:  libtool
Source44: import.info

%description
This package contains utilities that uses the shared fastlz library.

%package -n %{libname}
Summary:        Lightning-fast lossless compression library
Group:          System/Libraries

%description -n %{libname}
This package contains the shared fastlz library.

%package -n %{devname}
Summary:        Development library and header files for the fastlz library
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{_lib}fastlz0-devel < 0.1.0-0.0.svn12.4

%description -n %{devname}
FastLZ - lightning-fast lossless compression library

This package contains the development library and header files for the fastlz
library.


%prep
%setup -q -n fastlz
cp %{SOURCE1} .
cp %{SOURCE2} .

%build
autoreconf -fi
%configure
%make_build

%install
%makeinstall_std

# we don't want these
find %{buildroot} -name '*.*a' -delete

%files
%{_bindir}/*

%files -n %{libname}
%doc ChangeLog LICENSE README.TXT
%{_libdir}/lib*.so.%{major}*

%files -n %{devname}
%{_libdir}/lib*.so
%{_includedir}/*.h


%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 0.1.0-alt1_0.0.svn12.6
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_0.0.svn12.5
- update by mgaimport

* Thu Jan 24 2019 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_0.0.svn12.4
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_0.0.svn12.2
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_0.0.svn12.1
- new version

